Bug 6279 - segfaults trying to receive file on msn with space in its name
: segfaults trying to receive file on msn with space in its name
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gaim)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-03-18 11:40 by
Modified: 2005-08-31 01:25 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-03-18 11:40:41
Сообщение об  ошибке, к сожалению, малоинформативно.

Gaim has segfaulted and attempted to dump a core file.
This is a bug in the software and has happened through
no fault of your own.

It is possible that this bug is already fixed in CVS.
If you can reproduce the crash, please notify the gaim
maintainers by reporting a bug at
http://gaim.sourceforge.net/bug.php

Please make sure to specify what you were doing at the time,
and post the backtrace from the core file. If you do not know
how to get the backtrace, please get instructions at
http://gaim.sourceforge.net/gdb.php. If you need further
assistance, please IM either RobFlynn or SeanEgn and
they can help you.
------- Comment #1 From 2005-03-18 11:43:03 -------
Backtrace:

[Switching to Thread 16384 (LWP 20893)]
0x40f6108f in _gnome_vfs_drive_from_corba () from /usr/lib/libgnomevfs-2.so.0
^[
(gdb)
(gdb) bt
#0  0x40f6108f in _gnome_vfs_drive_from_corba ()
   from /usr/lib/libgnomevfs-2.so.0
#1  0x40f7bb67 in gnome_vfs_volume_monitor_client_get_type ()
   from /usr/lib/libgnomevfs-2.so.0
#2  0x40f7bd41 in gnome_vfs_volume_monitor_client_get_type ()
   from /usr/lib/libgnomevfs-2.so.0
#3  0x406b5825 in g_type_create_instance () from /usr/lib/libgobject-2.0.so.0
#4  0x4069dd42 in g_object_new () from /usr/lib/libgobject-2.0.so.0
#5  0x4069d09f in g_object_newv () from /usr/lib/libgobject-2.0.so.0
#6  0x4069dbfe in g_object_new_valist () from /usr/lib/libgobject-2.0.so.0
#7  0x4069dd0b in g_object_new () from /usr/lib/libgobject-2.0.so.0
#8  0x40f7c54c in _gnome_vfs_get_volume_monitor_internal ()
   from /usr/lib/libgnomevfs-2.so.0
#9  0x40f7c5ae in gnome_vfs_get_volume_monitor ()
   from /usr/lib/libgnomevfs-2.so.0
#10 0x41599232 in gtk_file_system_gnome_vfs_new ()
   from /usr/lib/gtk-2.0/2.4.0/filesystems/libgnome-vfs.so
#11 0x406b5825 in g_type_create_instance () from /usr/lib/libgobject-2.0.so.0
#12 0x4069dd42 in g_object_new () from /usr/lib/libgobject-2.0.so.0
#13 0x4069d09f in g_object_newv () from /usr/lib/libgobject-2.0.so.0
#14 0x4069dbfe in g_object_new_valist () from /usr/lib/libgobject-2.0.so.0
#15 0x4069dd0b in g_object_new () from /usr/lib/libgobject-2.0.so.0
#16 0x41598ffa in gtk_file_system_gnome_vfs_new ()
   from /usr/lib/gtk-2.0/2.4.0/filesystems/libgnome-vfs.so
#17 0x4159c757 in fs_module_create ()
   from /usr/lib/gtk-2.0/2.4.0/filesystems/libgnome-vfs.so
#18 0x4010455d in gtk_file_folder_list_children ()
   from /usr/lib/libgtk-x11-2.0.so.0
#19 0x4010464d in gtk_file_folder_list_children ()
   from /usr/lib/libgtk-x11-2.0.so.0
#20 0x400f26b6 in gtk_file_chooser_dialog_new_with_backend ()
   from /usr/lib/libgtk-x11-2.0.so.0
#21 0x4069df27 in g_object_new () from /usr/lib/libgobject-2.0.so.0
#22 0x400f2774 in gtk_file_chooser_dialog_new_with_backend ()
---Type <return> to continue, or q <return> to quit---
   from /usr/lib/libgtk-x11-2.0.so.0
#23 0x4069d09f in g_object_newv () from /usr/lib/libgobject-2.0.so.0
#24 0x4069db0c in g_object_new_valist () from /usr/lib/libgobject-2.0.so.0
#25 0x4069dd0b in g_object_new () from /usr/lib/libgobject-2.0.so.0
#26 0x400f4c86 in gtk_file_chooser_dialog_new_with_backend ()
   from /usr/lib/libgtk-x11-2.0.so.0
#27 0x400f610c in gtk_file_chooser_widget_get_type ()
   from /usr/lib/libgtk-x11-2.0.so.0
#28 0x4069d09f in g_object_newv () from /usr/lib/libgobject-2.0.so.0
#29 0x4069dbfe in g_object_new_valist () from /usr/lib/libgobject-2.0.so.0
#30 0x4069dd0b in g_object_new () from /usr/lib/libgobject-2.0.so.0
#31 0x400e92a3 in gtk_file_chooser_dialog_get_type ()
   from /usr/lib/libgtk-x11-2.0.so.0
#32 0x4069d09f in g_object_newv () from /usr/lib/libgobject-2.0.so.0
#33 0x4069db0c in g_object_new_valist () from /usr/lib/libgobject-2.0.so.0
#34 0x4069dd0b in g_object_new () from /usr/lib/libgobject-2.0.so.0
#35 0x400e95c0 in gtk_file_chooser_dialog_get_type ()
   from /usr/lib/libgtk-x11-2.0.so.0
#36 0x400e963b in gtk_file_chooser_dialog_new ()
   from /usr/lib/libgtk-x11-2.0.so.0
#37 0x080dd34d in get_online_screennames ()
#38 0x08087135 in gaim_request_file ()
#39 0x08077bd0 in gaim_xfer_get_filename ()
#40 0x080daa49 in gaim_gtk_pounces_init ()
#41 0x406b0c23 in g_cclosure_marshal_VOID () from /usr/lib/libgobject-2.0.so.0
#42 0x4069a10b in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#43 0x406aed1e in g_signal_has_handler_pending ()
   from /usr/lib/libgobject-2.0.so.0
#44 0x406b028a in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#45 0x406b0576 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#46 0x400cb634 in gtk_dialog_response () from /usr/lib/libgtk-x11-2.0.so.0
#47 0x400cb6d4 in gtk_dialog_response () from /usr/lib/libgtk-x11-2.0.so.0
#48 0x406b0966 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#49 0x4069a10b in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#50 0x406aed1e in g_signal_has_handler_pending ()
   from /usr/lib/libgobject-2.0.so.0
#51 0x406b028a in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#52 0x406b0576 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#53 0x4007c051 in gtk_button_clicked () from /usr/lib/libgtk-x11-2.0.so.0
#54 0x4007db0c in gtk_button_get_alignment () from /usr/lib/libgtk-x11-2.0.so.0
#55 0x406b0966 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#56 0x4069a409 in g_cclosure_new_swap () from /usr/lib/libgobject-2.0.so.0
#57 0x4069a10b in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#58 0x406aeb38 in g_signal_has_handler_pending ()
   from /usr/lib/libgobject-2.0.so.0
#59 0x406b028a in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#60 0x406b0576 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#61 0x4007bfb1 in gtk_button_released () from /usr/lib/libgtk-x11-2.0.so.0
#62 0x4007d071 in gtk_button_set_relief () from /usr/lib/libgtk-x11-2.0.so.0
#63 0x4014c66e in gtk_marshal_VOID__UINT_STRING ()
   from /usr/lib/libgtk-x11-2.0.so.0
#64 0x4069a409 in g_cclosure_new_swap () from /usr/lib/libgobject-2.0.so.0
#65 0x4069a10b in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#66 0x406aee9b in g_signal_has_handler_pending ()
   from /usr/lib/libgobject-2.0.so.0
#67 0x406affdd in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#68 0x406b0576 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#69 0x4023f184 in gtk_widget_activate () from /usr/lib/libgtk-x11-2.0.so.0
#70 0x4014ab37 in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
#71 0x4014ae6f in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
#72 0x4064e092 in gdk_event_get_graphics_expose ()
   from /usr/lib/libgdk-x11-2.0.so.0
#73 0x40709b37 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#74 0x4070b4e8 in g_main_context_acquire () from /usr/lib/libglib-2.0.so.0
#75 0x4070b81a in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#76 0x4014a103 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#77 0x080e4431 in main ()
(gdb) quit

------- Comment #2 From 2005-04-06 10:45:07 -------
проверте пожалуйста на 1.2.1
------- Comment #3 From 2005-04-06 18:22:23 -------
В сизифе-дедале пакета не нашёл.  Вытянул, собрал.  Вроде бы работает, но это
на
моей сборке, а не на сизифовой..
------- Comment #4 From 2005-06-21 11:52:13 -------
gaim-1.3.1-alt1